#!/bin/csh

#Shell script for system restart - Edit to your needs, this script assumes you have it located in $CFMC/scripts
umask 002
limit maxproc unlimited
set ACCOUNT myaccount

echo "Dialer and Survox Restart"
#Dialer runs as the ironwood01 account for all IVR's on this system.
#Dialer/Server Restart - Account is Survox
setenv CFMC /cfmc/${ACCOUNT}/
setenv CFMCACCOUNT ${ACCOUNT}
setenv PATH .:/cfmc/${ACCOUNT}/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/cfmc/${ACCOUNT}/go
setenv CONTROL /cfmc/${ACCOUNT}/control/
setenv CFMCGO /cfmc/${ACCOUNT}/go/

#The lines below will shutdown the 10.2 study server and dialer interface and then restart both, initializing the dialer.
#This assumes the dialer is running on the same machine.
#Comment out the lines that you don't need.

echo "Dialer Status:"
curl -X POST -d 'Action=stopcdi&id=7b311b82a98d7d3aedcccb0b547f11635f063af8' http://localhost/Console/requester.php
sleep 5
echo "\n"
perl ${CFMC}/scripts/server_stop.pl
sleep 5
echo "Dialer Status:"
curl -X POST -d 'Action=startcdi&id=ae85a14b0b89ccf5f18eb244d5da1382098277f1' http://localhost/Console/requester.php
sleep 5
echo "\n"
perl {$CFMC}/scripts/server_start.pl ALL
